GET http://webapi.mymarketing.co.il/api/smssendingrequest/Campaign?Token={Token}&UnsubscribeText={UnsubscribeText}&CanUnsubscribe={CanUnsubscribe}&GroupIds={GroupIds}&MailingListId={MailingListId}&Id={Id}&Name={Name}&FromName={FromName}&SmsSendingProfileId={SmsSendingProfileId}&Content={Content}
Send sms campaign request from query string.
Request Information
URI Parameters
Name
Description
Type
Additional information
token
Insert an access token to send SMS campaign
string
unsubscribe_text
If the campaign contains unsubscribe text
string
can_unsubscribe
If the campaign contains unsubscribe link
boolean
group_ids
The mobile numbers that recieve the SMS campaign, seperated by commas
string
mailing_list_id
The mobile numbers that recieve the SMS campaign, seperated by commas
string
name
SMS campaign name
string
from_name
From name
string
sms_sending_profile_id
Using a specific sending profile
integer
content
The text of the SMS campaign
string
Body Parameters
None.
Response Information
Resource Description
Name
Description
Type
Additional information
send_type_name
string
status_id
integer
status_name
string
total_sent
integer
status_date
date
handled_date
date
id
SMS campaign id
integer
unsubscribe_text
Unsbscribe test to add to link
string
can_unsubscribe
If the links are tracked
boolean
name
SMS campaign name
string
from_name
From name
string
content
The text of the SMS campaign
string
is_link_tracking
Is links are tracked
boolean
Response Formats
application/json, text/json
Sample:
{
"send_type": "Regular",
"send_type_name": "sample string 1",
"status_id": 2,
"status_name": "sample string 3",
"total_sent": 4,
"status_date": "2016-12-24T14:12:12",
"handled_date": "2016-12-24T14:12:12",
"id": 5,
"unsubscribe_text": "sample string 6",
"can_unsubscribe": true,
"name": "sample string 7",
"from_name": "sample string 8",
"content": "sample string 9",
"segment": {
"group_ids": [
1,
2
],
"restricated_group_ids": [
1,
2
],
"restricated_campaign_ids": [
1,
2
],
"mailing_list_id": 1,
"limit_amount": 1,
"sms_sending_profile_id": 1
},
"scheduling": {
"is_sent": true,
"scheduled_time_zone": "Israel",
"scheduled_date": "2016-12-24T14:12:12"
},
"is_link_tracking": true
}
application/xml, text/xml
Sample:
<ApiSmsCampaignInfoCampaign xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ActiveTrail.RESTfulApi.Models.SmsCampaignReport">
<content>sample string 9</content>
<from_name>sample string 8</from_name>
<is_link_tracking>true</is_link_tracking>
<name>sample string 7</name>
<scheduling>
<is_sent>true</is_sent>
<scheduled_date>2016-12-24T14:12:12</scheduled_date>
<scheduled_time_zone>Israel</scheduled_time_zone>
</scheduling>
<segment>
<group_ids xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:int>1</d3p1:int>
<d3p1:int>2</d3p1:int>
</group_ids>
<limit_amount>1</limit_amount>
<mailing_list_id>1</mailing_list_id>
<restricated_campaign_ids xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:long>1</d3p1:long>
<d3p1:long>2</d3p1:long>
</restricated_campaign_ids>
<restricated_group_ids xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:long>1</d3p1:long>
<d3p1:long>2</d3p1:long>
</restricated_group_ids>
<sms_sending_profile_id>1</sms_sending_profile_id>
</segment>
<can_unsubscribe>true</can_unsubscribe>
<handled_date>2016-12-24T14:12:12</handled_date>
<id>5</id>
<send_type_name>sample string 1</send_type_name>
<status_date>2016-12-24T14:12:12</status_date>
<status_id>2</status_id>
<status_name>sample string 3</status_name>
<total_sent>4</total_sent>
<unsubscribe_text>sample string 6</unsubscribe_text>
</ApiSmsCampaignInfoCampaign>